OGRE: Ogre::Volume::TextureSource Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Volume::TextureSource Class Reference
Optional Components » Volume

A volume source from a 3D texture. More...

`#include <OgreVolumeTextureSource.h>`

Inheritance diagram for Ogre::Volume::TextureSource:
[legend]

## Public Member Functions
| TextureSource (const String &volumeTextureName, const Real worldWidth, const Real worldHeight, const Real worldDepth, const bool trilinearValue=true, const bool trilinearGradient=false, const bool sobelGradient=false)
| Constructur.
| ~TextureSource (void)
| Destructor.
Public Member Functions inherited from Ogre::Volume::GridSource
| GridSource (bool trilinearValue, bool trilinearGradient, bool sobelGradient)
virtual | ~GridSource (void)
| Destructor.
virtual void | combineWithSource (CSGOperationSource *operation, Source *source, const Vector3 &center, Real radius)
| Updates this grid with another source in a certain area.
size_t | getDepth (void) const
| Gets the depth of the texture.
size_t | getHeight (void) const
| Gets the height of the texture.
Real | getValue (const Vector3 &position) const override
| Overridden from VolumeSource.
Vector4 | getValueAndGradient (const Vector3 &position) const override
| Overridden from VolumeSource.
Real | getVolumeSpaceToWorldSpaceFactor (void) const
| Overridden from VolumeSource.
size_t | getWidth (void) const
| Gets the width of the texture.
Public Member Functions inherited from Ogre::Volume::Source
virtual | ~Source (void)
| Destructor.
bool | getFirstRayIntersection (const Ray &ray, Vector3 &result, Real scale=(Real) 1.0, size_t maxIterations=5000, Real maxDistance=(Real) 10000.0) const
| Gets the first intersection of a ray with the volume.
Real | getVolumeSpaceToWorldSpaceFactor (void) const
| Gets a factor to come from volume coordinate to world coordinate.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, const String &file)
| Serializes a volume source to a discrete grid file with deflated compression.
void | serialize (const Vector3 &from, const Vector3 &to, float voxelWidth, Real maxClampedAbsoluteDensity, const String &file)
| Same as the other serialize function but with a user definable maximum absolute density value.

## Additional Inherited Members
Static Public Attributes inherited from Ogre::Volume::Source
static const size_t | SERIALIZATION_CHUNK_SIZE
| The amount of items being written as one chunk during serialization.
static const uint32 | VOLUME_CHUNK_ID
| The id of volume files.
static const uint16 | VOLUME_CHUNK_VERSION
| The version of volume files.

## Detailed Description

A volume source from a 3D texture.

## Constructor & Destructor Documentation

## ◆ TextureSource()

Ogre::Volume::TextureSource::TextureSource | ( | const String & | volumeTextureName,
|  | const Real | worldWidth,
|  | const Real | worldHeight,
|  | const Real | worldDepth,
|  | const bool | trilinearValue = true,
|  | const bool | trilinearGradient = false,
|  | const bool | sobelGradient = false )
| explicit

Constructur.

Parameters

  volumeTextureName | Which volume texture to get the data from.
  worldWidth | The world width.
  worldHeight | The world height.
  worldDepth | The world depth.
  trilinearValue | Whether to use trilinear filtering (true) or nearest neighbour (false) for the value.
  trilinearGradient | Whether to use trilinear filtering (true) or nearest neighbour (false) for the gradient.
  sobelGradient | Whether to add a bit of blur to the gradient like in a sobel filter.

## ◆ ~TextureSource()

Ogre::Volume::TextureSource::~TextureSource | ( | void |  | ) |

Destructor.

The documentation for this class was generated from the following file:

- OgreVolumeTextureSource.h